Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057374 - does not forget first suggested keyboard layout after removal
Summary: does not forget first suggested keyboard layout after removal
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-23 22:40 UTC by Alexander van Loon
Modified: 2015-06-29 14:42 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:42:25 UTC


Attachments (Terms of Use)

Description Alexander van Loon 2014-01-23 22:40:39 UTC
At the start of the installation Anaconda asks for the language to be used. If English is chosen, US English will be the default keyboard layout. Adding another layout (US English international with dead keys in my case) and then removing US English does not make Anaconda completely forget about US English. If logging in to the user account for the first time after the installation, Anaconda again offers a choice between the user-chosen layout and US English. The layout chosen by the user is default though. Removing US English at this point will be definite, except for GDM. If you reboot after the first login, you can notice that GDM still offers a choice between the user-chosen layout (which is the default) and US English. 

Of course Anaconda should forget the suggested layout it chooses for the installation right away if the user adds another layout and removes the suggested layout. I've seen this occur on two separate PC's on which I installed the Fedora 20 Desktop edition.

Comment 1 Martin Kolman 2014-01-24 12:21:16 UTC
For some languages we automatically include the English layout, as this seems to be the expected behavior based on user feedback. I think we do this at least for Russian, not sure about French. There might be also some issues with LUKS passphrase entry and console layouts.

Comment 2 Vratislav Podzimek 2014-01-24 12:37:06 UTC
Could you please provide the /etc/vconsole.conf and /etc/X11/xorg.conf.d/00-keyboard.conf file from those systems?

I'd swear the code in the installer does exactly what you are describing as a desired behaviour. Maybe something else (GDM?) is adding the second layout.

Comment 3 Alexander van Loon 2014-01-24 15:01:40 UTC
The files are identical on both machines.

Contents of the /etc/vconsole.conf file:

KEYMAP=us-intl
FONT=latarcyrheb-sun16

Contents of the /etc/X11/xorg.conf.d/00-keyboard.conf file:

# Read and parsed by systemd-localed. It's probably wise not to edit this file
# manually too freely.
Section "InputClass"
        Identifier "system-keyboard"
        MatchIsKeyboard "on"
        Option "XkbLayout" "us"
        Option "XkbVariant" "intl"
EndSection

Comment 4 Vratislav Podzimek 2014-01-24 16:29:14 UTC
(In reply to Alexander van Loon from comment #3)
> The files are identical on both machines.
> 
> Contents of the /etc/vconsole.conf file:
> 
> KEYMAP=us-intl
> FONT=latarcyrheb-sun16
> 
> Contents of the /etc/X11/xorg.conf.d/00-keyboard.conf file:
> 
> # Read and parsed by systemd-localed. It's probably wise not to edit this
> file
> # manually too freely.
> Section "InputClass"
>         Identifier "system-keyboard"
>         MatchIsKeyboard "on"
>         Option "XkbLayout" "us"
>         Option "XkbVariant" "intl"
> EndSection
Anaconda did it job well. GDM, please reassing to a different component, if GDM has nothing to do with keyboard layout configuration in the GDM session.

Comment 5 Fedora End Of Life 2015-05-29 10:38:49 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 14:42:25 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.